<div class="container" style="margin-top: 10px;">
  <fieldset>
    <legend>Api Information</legend>

    <div class="flex-row">
      <div class="flex-item" style="width: 300px; ">
        <label for="headquater">Headquater</label><sup>*</sup>
        <div class="form-group">
          <input type="text" class="form-control" id="headquater" />
        </div>
      </div>
    </div>
  </fieldset>
  <!--.......... classification/code/Price................... -->
  <form [formGroup]="pricingForm">
    <fieldset>
      <legend>Classification/Code/Price</legend>
      <i id="payAddIcon" class="fas fa-plus-circle" tooltip="Add"></i>

      <div class="flex-classification-row">
        <div class="flex-item" style="flex: 3 1 150px">
          <label for="name">Name</label><sup>*</sup>
          <div class="form-group">
            <input
              type="text"
              class="form-control"
              id="name"
              formControlName="name"
            />

            <span class="error-msg" *ngIf="formErrors.name && submitted">{{
              formErrors.name
            }}</span>
          </div>
        </div>
        <div class="flex-item" style="flex: 3 1 150px;">
          <label for="state">State</label><sup>*</sup>
          <div class="form-group">
            <select class="form-control" id="state" formControlName="state">
              <option>kathmandu</option>
              <option>pokhara</option>
              <option>Butwal</option>
              <option>dang</option>
              <option>Nepalgunj</option>
            </select>

            <span class="error-msg" *ngIf="formErrors.state && submitted">{{
              formErrors.state
            }}</span>
          </div>
        </div>

        <div class="flex-item" style="flex: 4 1 180px">
          <label for="classification">Classification</label><sup>*</sup>
          <div class="form-group">
            <input
              type="text"
              class="form-control"
              id="classification"
              formControlName="classification"
            />

            <span
              class="error-msg"
              *ngIf="formErrors.classification && submitted"
              >{{ formErrors.classification }}</span
            >
          </div>
        </div>
        <div class="flex-item" style="flex: 4 1 180px">
          <label for="workersCompensation">Workers' Compensation</label
          ><sup>*</sup>
          <div class="form-group">
            <input
              type="text"
              class="form-control"
              id="workersCompensation"
              formControlName="workersCompensation"
            />

            <span
              class="error-msg"
              *ngIf="formErrors.workersCompensation && submitted"
              >{{ formErrors.workersCompensation }}</span
            >
          </div>
        </div>

        <div class="flex-item" style="flex: 2 1 80px">
          <label for="%markup">% Markup</label><sup>*</sup>
          <div class="form-group">
            <input
              type="text"
              class="form-control"
              id="%markup"
              formControlName="markup"
            />
          </div>
        </div>
        <div class="flex-item" style="flex: 2 1 100px">
          <label for="clientBillRate">Client Bill Rate</label>

          <input
            type="text"
            class="form-control"
            id="clientBillRate"
            formControlName="clientBillRate"
          />
        </div>

        <div class="flex-item" style="flex: 1 1 50px">
          <i
            class="fas fa-trash-alt mr-2 cursor-pointer"
            style="margin-top: 40px;"
            tooltip="Delete"
          ></i>
        </div>
      </div>
    </fieldset>
    <div class="mb-2">
      <button class="btn btn-primary" (click)="onSubmit()">
        Update
      </button>
    </div>
  </form>
</div>
